* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@media only screen and (max-width: 700px) {
  body {
    /* height: 100%; */
    width: 100%;
  }

  .main {
    display: flex;
    flex-direction: column;
  }
 

  .card {
    size: 90%;
  }
}

.navbar-brand b {
  color: yellow;
}
.container-fluid button:hover {
  color: yellow;
}

.main {
  display: flex;
  /* float:left; */
  align-items: center;
  justify-content: space-around;
  position: relative;
  margin-top: 80px;
  padding-left: 20px;
}

/* .mainimage img {
  height: 350px;
} */

.maintext{
  align-items: center;
  margin-top: 130px;
}
.maintext b {
  font-size: 60px;
  color: rgb(37, 158, 47);
  word-wrap: normal;
}

.menudiv {
  text-align: center;
  margin-top: 400px;
}

.allcard {
  display: flex;
  justify-content: space-between;
}

.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  max-width: 300px;
  width: 100%;
  margin: auto;
  text-align: center;
  font-family: arial;
}

.price {
  color: grey;
  font-size: 22px;
}

.card button {
  border: none;
  outline: 0;
  padding: 12px;
  color: white;
  background-color: #000;
  text-align: center;
  cursor: pointer;
  width: 100%;
  font-size: 18px;
}

.card button:hover {
  opacity: 0.7;
}

.gallerydiv {
  text-align: center;
  margin-top: 150px;
  /* padding: 10px; */
}
.allgallery {
  margin: auto;
  /* width: 90%; */
  display: flex;
  justify-content: space-around;
  /* float: left; */
}

.allgallery img {
  margin: 30px;
  max-width: 300px;
  max-height: 250px;
}

.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}

.column {
  flex: 50%;
  padding: 0 4px;
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
}

.fa {
  padding: 20px;
  font-size: 30px;
  width: 50px;
  text-align: center;
  text-decoration: none;
  margin: 5px 2px;
}

.fa:hover {
  opacity: 0.7;
}

.fa-facebook {
  background: #3b5998;
  color: white;
}
.fa-google {
  background: #dd4b39;
  color: white;
}
.fa-instagram {
  background: #125688;
  color: white;
}

.socialdiv {
  display: flex;
  justify-content: space-evenly;
  background-color: #f5f10b;
  border-radius: 30px;
  border-color: solid #000;
  width: 70%;
  margin: 0 15% 0 15%;
}
.food {
  font-size: 80px;
  color: rgb(37, 158, 47);
  text-align: center;
  animation: food 1s ease-in-out infinite alternate;
}

@-webkit-keyframes food {
  from {
    text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #6dc55b,
      0 0 40px #2d9e23, 0 0 50px #4bdd27, 0 0 60px #3a961d, 0 0 70px #01e920;
  }

  to {
    text-shadow: 0 0 20px #fff, 0 0 30px #d3eb50, 0 0 40px #d8f051,
      0 0 50px #eaec43, 0 0 60px #fbff2b, 0 0 70px #ffeb34, 0 0 80px #ffd900;
  }
}

.footer {
  margin-top: 40px;
  margin-bottom: 0;
  left: 0;
  height: 40px;
  width: 100%;
  background-color: rgb(0, 0, 0);
  color: white;
  text-align: center;
}

.footer > p {
  padding: 7px;
}

.checked {
  color: rgb(255, 238, 0);
}

nav.navbar {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  z-index: 12;
  opacity: 0.9;
}

.typewriter h5 {
  color: #000000;
  font-family: "Times New Roman", Times, serif;
  overflow: hidden; /* Ensures the content is not revealed until the animation */
  border-right: 0.15em solid orange; /* The typwriter cursor */
  white-space:none; /* Keeps the content on a single line */
  margin: 0 auto; /* Gives that scrolling effect as the typing happens */
  letter-spacing: 0.15em; /* Adjust as needed */
  animation: typing 5s steps(30, end), blink-caret 0.5s step-end infinite;
  animation-iteration-count: infinite;
}

.typewriter p {
  padding-top: 50px;
  padding-left: 30%;
  padding-right: 30%;
  
}

/* The typing effect */
@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from,
  to {
    border-color: transparent;
  }
  50% {
    border-color: orange;
  }
}
